# Source du site web Takubeh

Le site web de Takubeh a été créé de façon éco-responsable par l'association RésiLien pour présenter la coopérative Takubeh.

Il utilise un générateur de site statique ([Hugo](https://gohugo.io/)) permettant un faible impact énergétique.

## Mettre à jour le site

Pour la mise à jour vous, devez vous connecter sur la [forge logiciel](https://git.resilien.fr) de RésiLien. Puis éditer les fichiers en ligne.

### Les dossiers

- Pour modifier [les pages](./content/) et donc le référencement des moteurs de recherche et le nom du menu
- Pour modifier [le contenu des pages](./layouts/shortcodes/)
- Pour ajouter [des images](./static/images/)

### Menu

Le menu est gérer directement dans chaque page et son ordre est gérer par un poid _weight_.

### Balise HTML

- Pour créer un paragraphe : `<p> Ceci est un paragraphe </p>`
- Pour créer un texte en gras : `Ceci est <strong>en gras</strong>`
- Pour une liste : `<ul><li>un élement</li><li>un second élement</li></ul>`

### Les images

- pour les produits les images sont en 100px par 300px
- Pour les autres photos en 1024px par 768px ou inversement

Enregirstrer les images directement en webp.

## Les environnements

Actuellement il y a 3 environnements :

- développement, permettant d'afficher le site web localement et d'avancer dans le développement
- [staging](https://staging.takubeh.fr), permettant d'afficher l'avancement du développement
- [production](https://takubeh.fr) qui est le site officiel

## Instagram

Nous aimerions importer des images d'instagram directement sur le site internet

https://github.com/instaloader/instaloader permet de télécharger le profile public

```
cd static
instaloader -F takubehkombucha
cd takubehkombucha
unxz *.xz
```
https://codepen.io/GeorgePark/pen/VXrwOP

https://github.com/alrayyes/instagram-hugo-demo-theme
